<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task 49.10</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">

    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <script src=" https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap4.min.js"></script>

    <!-- Các file css và js tự định nghĩa thêm -->
    <script src="script.js"></script>
    <script src="style.css"></script>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Order Management</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>

            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="#" class="brand-link">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
                 with font-awesome or any other icon font library -->
                        <li class="nav-item">
                            <a href="#" class="nav-link active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    UI Controls
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="./chartjs.html" class="nav-link active">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>ChartJs</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./select2.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Select2</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./daterangepicker.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Date Range Picker</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a href="pages/widgets.html" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>
                                    Danh sách đơn hàng
                                </p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>
        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0">QUẢN LÝ ĐƠN HÀNG</h1>
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#"> Home </a></li>
                                <li class="breadcrumb-item active"> Order's history </li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->
            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class='row jumbotron p-3 m-0'>
                        <div class='col-md-12'>
                            <div class="row form-group mb-0">
                                <div class="col-sm-2 text-right">
                                    <label for="pizzaTypeSelect">Filter Loại Pizza</label>
                                </div>
                                <div class="col-sm-3">
                                    <select id="pizza-Type-Select" class="form-control">
                                        <option value="All">All</option>
                                        <option value="Seafood">Hải sản</option>
                                        <option value="Hawaii">Hawaii</option>
                                        <option value="Bacon">Thịt hun khói</option>
                                    </select>
                                </div>
                                <div class="col-sm-2 text-right">
                                    <label for="statusSelect">Filter Status</label>
                                </div>
                                <div class="col-sm-3">
                                    <select id="order-Status-Select" class="form-control">
                                        <option value="All">All</option>
                                        <option value="Open">Open</option>
                                        <option value="Cancel">Đã huỷ</option>
                                        <option value="Confirmed">Đã xác nhận</option>
                                    </select>
                                </div>
                                <div class="col-sm-2">
                                    <button id="btn-filter-data" class="btn btn-primary">Lọc dữ liệu</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <br>
                    <button class="btn btn-primary form-group" id="btn-add-order"><i class="fa fa-plus"></i>&nbsp;
                        Thêm </button>
                    <br>
                    <table class="table table-bordered table-striped table-hover" id="table-orders">
                        <thead>
                            <tr>
                                <th>Order Id</th>
                                <th>Kích cỡ</th>
                                <th>Loại Pizza</th>
                                <th>Nước uống</th>
                                <th>Thành tiền</th>
                                <th>Họ và tên</th>
                                <th>Số điện thoại</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                    <!-- Modal order detail-->
                    <div>
                        <div class="modal fade" id="modal-order-detail" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">Thêm mới thông tin đơn hàng</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <form>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Kích cỡ</label>
                                                <div class="col-sm-8">
                                                    <select id="select-pizza-size" class="form-control">
                                                        <option value="NOT_SELECT_SIZE">Tất cả các kích cỡ</option>
                                                        <option value="S">S</option>
                                                        <option value="M">M</option>
                                                        <option value="L">L</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Đường kính</label>
                                                <div class="col-sm-8">
                                                    <select id="select-duong-kinh" class="form-control">
                                                        <option value="NOT_SELECT_PIZZA_SIZE">Tất cả đường kính</option>
                                                        <option value="20">20 cm</option>
                                                        <option value="25">25 cm</option>
                                                        <option value="30">30 cm</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Số lượng sườn</label>
                                                <div class="col-sm-8">
                                                    <select id="select-suon-quantity" class="form-control">
                                                        <option value="NOT_SELECT_SUON">Tất cả số lượng</option>
                                                        <option value="2">02 sườn</option>
                                                        <option value="4">04 sườn</option>
                                                        <option value="6">06 sườn</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Salad(gr)</label>
                                                <div class="col-sm-8">
                                                    <select id="select-salad-size" class="form-control">
                                                        <option value="NOT_SELECT_SALAD">Tất cả salad</option>
                                                        <option value="200">200gr</option>
                                                        <option value="300">300gr</option>
                                                        <option value="500">500gr</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Loại pizza</label>
                                                <div class="col-sm-8">
                                                    <select id="select-Pizza-Type" class="form-control">
                                                        <option value="NOT_SELECT_PIZZA_TYPE">Tất cả loại pizza</option>
                                                        <option value="Seafood">Hải sản</option>
                                                        <option value="Hawaii">Hawaii</option>
                                                        <option value="Bacon">Thịt hun khói</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Mã giảm giá</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-id-voucher">
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Số lượng nước uống</label>
                                                <div class="col-sm-8">
                                                    <select id="select-drink-quantity" class="form-control">
                                                        <option value="NOT_SELECT_DRINK_QUANT">Tất cả số lượng</option>
                                                        <option value="2">02</option>
                                                        <option value="3">03</option>
                                                        <option value="4">04</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Đơn giá</label>
                                                <div class="col-sm-8">
                                                    <select id="select-price" class="form-control">
                                                        <option value="NOT_SELECT_PRICE">Tất cả đơn giá</option>
                                                        <option value="150000">150.000VNĐ</option>
                                                        <option value="200000">200.000VNĐ</option>
                                                        <option value="250000">250.000VNĐ</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Nước uống</label>
                                                <div class="col-sm-8">
                                                    <select type="text" class="form-control" id="select-drink-type">
                                                        <option value="NOT_SELECT_DRINK_TYPE">Tất cả nước uống</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Họ và tên</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-name">
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Email</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-create-email">
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Số điện thoại</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-mobile">
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Địa chỉ</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-address">
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Lời nhắn</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-message">
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Trạng thái</label>
                                                <div class="col-sm-8">
                                                    <select id="select-order-status" class="form-control">
                                                        <option value="NOT_SELECT_STATUS">Tất cả</option>
                                                        <option value="Open">Open</option>
                                                        <option value="Cancel">Đã huỷ</option>
                                                        <option value="Confirmed">Đã xác nhận</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Đóng</button>
                                        <button type="button" class="btn btn-primary" id="btn-create-order">Thêm
                                            mới</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Modal update order detail-->
                    <div>
                        <div class="modal fade" id="modal-update" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">Chi tiết thông tin đơn hàng</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <!-- Modal body - chứa form dữ liệu -->
                                    <div class="modal-body">
                                        <form>
                                            <!-- form thiết kế như form bình thường -->
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Order ID</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-order-id" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Cỡ Combo</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <select id="input-pizzasize" class="form-control"
                                                        type="text"></select>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Đường Kính Pizza</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-duongkinh" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Sườn Nướng (Miếng)</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-suon" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Đồ Uống</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <select id="select-drink" class="form-control"
                                                        type="select"></select>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Số Lượng Nước Uống</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-soluongdrink" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Voucher ID (Mã voucher)</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-idvoucher" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Loại Pizza</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-pizzatype" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Salad</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-salad" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Thành Tiền</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-thanhtien" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Giảm Giá (Discount)</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-giamgia" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Phải thanh toán</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-price-after-discount" class="form-control"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Họ và Tên</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-fullname" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Email</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-email" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Số điện thoại</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-phone" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Địa chỉ</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-address-update" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Lời Nhắn</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-message-update" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Trạng Thái Đơn Hàng</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <select id="input-select-status" class="form-control" type="text">
                                                        <option value="Not_Select">Tất cả trạng thái</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Ngày Tạo Đơn</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-order-date" class="form-control" type="text">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-3">
                                                    <label for="">Ngày Cập Nhật</label>
                                                </div>
                                                <div class="col-md-9">
                                                    <input id="input-repair-date" class="form-control" type="text">
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <!-- Modal Footer -->
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Đóng</button>
                                        <button type="button" class="btn btn-success" data-dismiss="modal"
                                            id="btn-edit-order">Cập nhật</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Delete confirm modal -->
                    <div>
                        <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="h5-modal-title">Xác nhận xoá thông tin đơn hàng</h5>
                                        <button class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <label>Bạn có chắc chắn muốn xóa thông tin đơn hàng này không?</label>
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-danger" id="btn-confirm-delete-order">Xác nhận</button>
                                        <button class="btn btn-secondary" data-dismiss="modal">Huỷ</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section><!-- /.section -->
        </div><!-- /.content-wrapper -->
        <footer class="main-footer">
            <strong>Copyright &copy; 2022 Devcamp</strong>
            All rights reserved.
            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.0
            </div>
        </footer>
        <!-- /.content -->
        <!-- jQuery -->
        <script src="plugins/jquery/jquery.min.js"></script>
        <!-- Bootstrap 4 -->
        <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <!-- AdminLTE App -->
        <script src="dist/js/adminlte.js"></script>
        <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</body>
<!--
    
    <option value="Open">Open</option>
    <option value="Cancel">Đã huỷ</option>
    <option value="Confirmed">Đã xác nhận</option>
    </select>
-->

</html>